/*
 * Copyright (c) Members of the EGEE Collaboration. 2004,2005.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 */
#ifndef GLITE_DATA_GSIFTP_H_
#define GLITE_DATA_GSIFTP_H_

#include "glite/data/transfer/glite-gridftp-performance.h"
#include "globus_gass_copy.h"

// callback to pass back the copy handle to the main routine
typedef void(* copy_handle_cb_t)(globus_gass_copy_handle_t *handle, int handle_set); 

char* gsiftp_copyfile (char *, char *, int, int, copy_handle_cb_t);
char* gsiftp_deletesfn (char *);
char* gsiftp_getfilesize (char *, long long *);
char* gsiftp_makedir (char *);
char* gsiftp_makedirp (char *);
char* gsiftp_exists (char *, int, int*);



#endif
