/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: TransferDefs.h,v 1.7 2006/07/06 15:13:57 mccance Exp $
 */

#ifndef GLITE_DATA_TRANSFERDEFS_HXX_
#define GLITE_DATA_TRANSFERDEFS_HXX_

#define PROGNAME "glite-url-copy"
#define PROGNAMESRM "glite-url-copy-srm"
#define TMPDIR "/var/tmp/"
#define NAMESTART "__"
#define TEMPLATE "XXXXXX"
#define LOGGER_BASE "transfer.url-copy"
#define GVERSION "@VERSION@"
#define NAME_LENGTH 2048
#define BUF_LEN     1000

#define PATTERN "%d [%-5p] - %t - %m%n"

#define BIND_ERR        500
#define LISTEN_ERR      501
#define ACCEPT_ERR      502
#define EXIT_OK         1

#endif //GLITE_DATA_TRANSFERDEFS_HXX_
